/*
 * MAC 323 - 2003
 * Exemplo de "applet": leitura de parmetros no HTML
 * - Font
 * - Graphics  [paint; setColor; fillRect; setFont; drawRect ]
 * - FontMetrics [getFontMetrics; stringWidth; getAscent(); getDescent() ]
 */

import java.awt.*;
import java.applet.*;

public class helloword extends Applet {
   
 Font f = new Font("Courier", Font.BOLD, 20 );

 public void paint (Graphics g) {
   Dimension d = this.size();
   Color azul_claro = new Color(64,128,192);
   g.setColor(azul_claro);
   g.fillRect(0,0,d.width,d.height); // preencha um retngulo com cor atual
   g.setColor(Color.black); 
   g.setFont(f); // escreva em preto
   escreve_no_centro_da_janela("Hello Word !! Ol mundo!!", d.width, d.height,g);
   g.drawRect(0,0, d.width-1, d.height-1); // desenha retngulo (apenas bordas)
   }

 public void escreve_no_centro_da_janela (String s, int largura, int altura, Graphics g) {
   FontMetrics fm = g.getFontMetrics();        // para calcular a largura da janela
   int x =( largura - fm.stringWidth(s)) / 2;  // proporcional ao tam. da letra/texto
   int y =(fm.getAscent() + (altura -(fm.getAscent()+fm.getDescent())) / 2); 
   g.drawString(s, x, y ); // desenhe a palavra s nas coordenadas (x,y)
   }

 public void init() { // aqui  iniciado o "applet" (mtodo a ser invocado na criao do objeto)
   String nome_fonte = getParameter("fonte"); // pegue o parmetro "fonte" no HTML
   int tamanho_fonte = Integer.parseInt(getParameter("tamanho"));
   Font f1= new Font(nome_fonte, Font.BOLD, tamanho_fonte);
   f=f1;
   System.out.println( nome_fonte );
   System.out.println( tamanho_fonte );	
   }

}
